%global         gituser         radare
%global         gitname         sdb
%global         commit          bf6575a2828c50e4540eeccd36b8e05729649dcf
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           sdb
Version:        0.10.5
Release:        3.%{shortcommit}%{?dist}
Summary:        The string database from radare reverse engineering framework
#Group needed for EPEL packages
Group:          Applications/Engineering
License:        MIT
URL:            https://github.com/radare/sdb/
Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz


BuildRequires:  gcc
BuildRequires:  glib2-devel
BuildRequires:  vala

#Needed for check
BuildRequires:  leveldb-devel
BuildRequires:  time

#binding python
#BuildRequires:  valabind
#binding nodejs
#BuildRequires:  v8-devel
#BuildRequires:  nodejs-devel


%description
The %{name} is a simple string key/value database based on djb's cdb disk
storage and supports JSON and arrays introspection.
There's also the sdbtypes: a vala library that implements several data
structures on top of an sdb.


%package devel
Summary:        Development files for the %{name} package
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for the %{name} package. See %{name} package for more
information.


%prep
%setup -q -n %{gitname}-%{commit}


%build
CFLAGS="%{optflags}" make %{?_smp_mflags} LIBDIR=%{_libdir} PREFIX=%{_prefix} DATADIR=%{_datadir}


%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} PREFIX=%{_prefix}
find %{buildroot} -name '*.a' -delete


%check
make test


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS README.md TODO
%license COPYING
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}*.1.*


%files devel
%dir %{_includedir}/sdb
%{_includedir}/sdb/*
%{_includedir}/sdbtypes.h*
%{_libdir}/libsdb.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/%{name}.vapi
%{_datadir}/vala/vapi/%{name}types.vapi


%changelog
* Mon Sep 12 2016 Michal Ambroz <rebus at, seznam.cz> 0.10.5-3.bf6575a
- improve buildrequires, move vapi to devel subpackage

* Sun Aug 21 2016 Michal Ambroz <rebus at, seznam.cz> 0.10.5-2.bf6575a
- drop ldconfig for sdb-devel package

* Sun Aug 21 2016 Michal Ambroz <rebus at, seznam.cz> 0.10.5-1.bf6575a
- bump to git state relevant to radare2 version 0.10.5

* Sun Oct 11 2015 Michal Ambroz <rebus at, seznam.cz> 0.9.8-1.0e133f1
- initial build for Fedora for alpha of 0.9.8

